/*
 *  FILE:nleErrors.c
 *
 *  DESCRIPTION: error handling routines
 *
 *
 *  CREATION DATE: xx/xx/xx        AUTHOR:
 *
 *  FUNCTIONS:
 */
#include "copyright.h"
#include "port.h"
#include "errtrap.h"
#include "oct.h"
#include "nleCommon.h"
#include "nle.h"

char nleErrorStringInternal[1024] = "no error";

void
nleFatalError(es)
char *es;            /* error string */
{
    errRaise(NLE_PKG_NAME, -1, es);
    return;
}

void
nleWarning(es)
char *es;            /* error string */
{
    (void) sprintf(nleErrorStringInternal, "NLE: Warning: %s", es);
    (void) fprintf(stderr, "%s\n", nleErrorStringInternal);
    return;
}

char *
nleErrorString()
{
    return(nleErrorStringInternal);
}
