#if defined(hpux)
#include <sys/types.h>
#include <sys/param.h>

extern char *sys_errlist[ ], *getcwd();
extern int errno, sys_nerr;

char *
getwd(buf) 
     char *buf;
{
  char *result;

  if ((result = getcwd((char *) 0, MAXPATHLEN)) == 0) {
    if (errno >= 1 && errno <= sys_nerr)
      strcpy(buf, sys_errlist[errno]);
    else
      *buf = '\0';
    return 0;
  }
  strcpy(buf, result);
  free(result);
  return buf;
}
#endif
