/*
 * Automatic Generation of Interfaces
 *
 * David Harrison
 * University of California, Berkeley
 *
 * Exported definitions for gen.c.
 */

#ifndef _GEN_H_
#define _GEN_H_

#include "ansi.h"
#include "oct.h"

typedef struct sym_gen_func_defn {
    int (*gen_func)		/* Generation function */
      ARGS((octObject *inFacet, octObject *outFacet, char *data));
    char *data;			/* User data           */
} symGenFunc;

extern void symSetGenFunc
  ARGS((symGenFunc *new, symGenFunc *old));
  /* Sets the interface generation function */

extern void symInterface
  ARGS((octObject *inst, octObject *interface));
  /* Opens or makes an interface */

#endif /* _GEN_H_ */
