/*
 * Instance Replacement
 *
 * David Harrison
 * University of California, Berkeley
 * 1988, 1990
 *
 * This file contains an implementation for instance replacement
 * that uses a number of heuristics for attempting to recover
 * from deleted, renamed, and additional terminals for the replacement
 * instance.
 */

#ifndef _REPL_H_
#define _REPL_H

#include "ansi.h"
#include "oct.h"

extern void symReplaceInst
  ARGS((octObject *fct, octObject *old, octObject *new));

#endif /* _REPL_H_ */
