/*
 * Simple example: reads integer float pairs into memory and sorts them
 */

#include "port.h"
#include "da.h"

#define EXPECTED_PAIRS	10
typedef struct pair { int i; float f; } Pair;

/* For errtrap */
char *optProgName;

int cmpPair(a, b)
char *a, *b;
/* Compares based on first number */
{
    return ((Pair *) a)->i - ((Pair *) b)->i;
}

/*ARGSUSED */
main(argc, argv)
int argc;
char *argv[];
{
    dary items;
    Pair val;
    int j;

    optProgName = argv[0];
    items = daAlloc(Pair, EXPECTED_PAIRS);
    while (scanf("%d %f", &(val.i), &(val.f)) != EOF) {
	*daSetLast(Pair, items) = val;
    }
      
    daSort(items, cmpPair);
    for (j = 0;  j < daLen(items);  j++) {
	(void) printf("%d %.4f\n",
		      daGet(Pair, items, j)->i,
		      daGet(Pair, items, j)->f);
    }
    exit(0);
}
