#include "oct.h"

void ohBoxCenter( box, point )
    struct octBox *box;
    struct octPoint *point;
{
    point->x = (box->lowerLeft.x + box->upperRight.x) / 2;
    point->y = (box->lowerLeft.y + box->upperRight.y) / 2;
}


octCoord ohBoxWidth( box )
    struct octBox *box;
{
    return box->upperRight.x - box->lowerLeft.x;
}

octCoord ohBoxHeight( box )
    struct octBox *box;
{
    return box->upperRight.y - box->lowerLeft.y;
}

octCoord ohBoxArea( box )
    struct octBox *box;
{
    return ( box->upperRight.x - box->lowerLeft.x ) *
      (box->upperRight.y - box->lowerLeft.y );

}

