/*LINTLIBRARY*/
#include "copyright.h"
#include "port.h"
#include "oct.h"
#include "tap.h"
#include "symlib.h"
#include "symlib_int.h"


void
symRoute(array, count)
symSegment *array;
int count;
{
    int i;
    octObject term1, term2;

    term1.objectId = oct_null_id;
    term2.objectId = oct_null_id;
    symCreateSegment(&(array[0].layer),
		     &(array[0].pt1), &term1,
		     SYM_USE_EXISTING_OR_CREATE,
		     &(array[0].pt2), &term2,
		     SYM_USE_EXISTING_OR_CREATE,
		     array[0].width,
		     array[0].direction);
    for (i = 1; i < count; i++) {
	switch (i % 2) {
	    case 0:
	    term2.objectId = oct_null_id;
	    symCreateSegment(&(array[i].layer),
			     &(array[i].pt1), &term1,
			     SYM_USE_EXISTING,
			     &(array[i].pt2), &term2,
			     SYM_USE_EXISTING_OR_CREATE,
			     array[i].width,
			     array[i].direction);
	    break;
	    
	    case 1:
	    term1.objectId = oct_null_id;
	    symCreateSegment(&(array[i].layer),
			     &(array[i].pt1), &term2,
			     SYM_USE_EXISTING,
			     &(array[i].pt2), &term1,
			     SYM_USE_EXISTING_OR_CREATE,
			     array[i].width,
			     array[i].direction);
	    break;
	}
	
    }
    return;
}
